Subject: bug#7203: [PATCH] sort: fix unportable conversion of unsigned char * -> char *

From: Paul Eggert <[email-masked]>
Date: Tue, 12 Oct 2010 16:23:19 -0700

On 10/12/10 14:28, Jim Meyering wrote:
> This feels like enough of a technicality that I'd prefer to defer it.

Well, my suspicion is that some C compilers simply refuse to compile
the construct, as they're entitled to do.  I vaguely recall that
happening in the past.  No big deal of course.

You're right about the word "regression": I should have called it a "warning"
or "compile-time issue" or something like that, since it's not a run-time
problem on all practical porting hosts.